[RCD] Composer: Undefined index error, possible caused in PluginInstaller

Phil Weir roundcube at tehinterweb.co.uk
Fri Jul 24 09:12:49 CEST 2015


Hi,

I might have found an error in the PluginInstaller used for Composer, can
anyone else confirm it?

In PluginInstaller.php there is `$constraint = new
VersionConstraint($version, $operator);` on line 168 BUT in the
VersionConstraint class in Composer the args are the other way round see
https://github.com/composer/composer/blob/master/src/Composer/Package/LinkCo
nstraint/VersionConstraint.php#L60

I think this is causing [ErrorException] Undefined index: blah when you try
and install plugins with minimum version requirements. Does anyone else get
the same thing?

Phil




More information about the dev mailing list